Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. Settlement
  • About the AutoCollect API
  • Getting started with the AutoCollect API
  • Webhooks
  • Example Workflow
  • Batches
    • GetBatchById
      GET
    • GetBatchesByOrganization
      GET
    • GetBatchById - Legacy (To be removed)
      GET
  • Collections
    • AcceptDebtCollectionList
      POST
    • RejectDebtCollectionList
      POST
    • PauseCase
      POST
    • WithdrawCase
      POST
    • ResumeCase
      POST
  • Correction
    • CreateCorrections
      POST
  • Invoice
    • CreateInvoices
      POST
    • GetInvoicesByOrganization
      GET
    • GetInvoiceById
      GET
  • Payment
    • CreatePayments
      POST
  • Settlement
    • GetSettlements
      GET
    • GetSettlement on Id
      GET
  • AutoCollect Legacy API
    • Attachment
      • /webapi/api/Attachment
    • Batch
      • /webapi/api/Batch
      • /webapi/api/Batch
    • Ping
      • /webapi/api/Ping
  1. Settlement

GetSettlements

GET
/orgs/{organizationId}/settlements
Endpoints for organization management operations

Request

Authorization
Path Params

Query Params

Responses

🟢200OK
application/json
OK
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
🟠409Conflict
🟠422Unprocessable Entity
🟠423Locked
🟠429Too Many Requests
🔴500Internal Server Error
🔴501Not Implemented
🔴502Bad Gateway
🔴503Service Unavailable
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/orgs//settlements?fromDate&toDate&pageSize&pageToken'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "caseNumber": "string",
            "collectionType": "REMINDER",
            "currency": "string",
            "customerReference": "string",
            "exchangeRate": 0,
            "feeDistribution": {
                "collector": 0,
                "creditor": 0
            },
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "interestDistribution": {
                "collector": 0,
                "creditor": 0
            },
            "invoice": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "invoiceNumber": "string",
                "uniqueSourceInvoiceId": "string",
                "collectionCaseNumber": "string",
                "type": "REMINDER",
                "status": "OPEN",
                "closureDate": "2019-08-24T14:15:22.123Z"
            },
            "ledgerRef": "string",
            "organization": {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "organizationNumber": "string",
                "name": "string"
            },
            "paymentAmount": 0,
            "principalDistribution": {
                "collector": 0,
                "creditor": 0
            },
            "remittanceDate": "2019-08-24T14:15:22.123Z",
            "settlementDate": "2019-08-24T14:15:22.123Z",
            "settlementNumber": 0,
            "settlementType": "COLLECTOR_PAYMENT",
            "vat": 0
        }
    ],
    "skipSummary": {
        "status": "string",
        "totalCount": 0,
        "currentPage": 0,
        "pageSize": 0,
        "totalPages": 0,
        "hasNextPage": true,
        "hasPreviousPage": true
    },
    "cursorSummary": {
        "status": "string",
        "nextPageToken": "string",
        "previousPageToken": "string"
    }
}
Modified at 2026-04-20 10:17:34
Previous
CreatePayments
Next
GetSettlement on Id
Built with